Bug 227519 - [patch] mail/mutt: Update mail/mutt to mutt 1.9.5
Summary: [patch] mail/mutt: Update mail/mutt to mutt 1.9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL: https://reviews.freebsd.org/D15069
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2018-04-14 23:02 UTC by Derek Schrock
Modified: 2018-04-20 21:51 UTC (History)
1 user (show)

See Also:


Attachments
update mutt to 1.9.5 (2.62 KB, patch)
2018-04-14 23:02 UTC, Derek Schrock
no flags Details | Diff
testport for mail/mutt 1.9.5 patch (134.44 KB, text/plain)
2018-04-14 23:02 UTC, Derek Schrock
no flags Details
Update mail/mutt for broken NNTP option and greeting version (2.21 KB, patch)
2018-04-18 03:41 UTC, Derek Schrock
no flags Details | Diff
Use updated VVV 1.9.5 patches (2.66 KB, patch)
2018-04-19 22:26 UTC, Derek Schrock
no flags Details | Diff
testport with new VVV update (135.56 KB, text/plain)
2018-04-19 22:27 UTC, Derek Schrock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2018-04-14 23:02:16 UTC
Created attachment 192519 [details]
update mutt to 1.9.5

Update mail/mutt to mutt 1.9.5 [1]

* GPGME S/MIME non-detached signature handling.

* A compilation issue with ncurses-6.1 when tinfow is split out.
  Hopefully the fix doesn't impact anyone: please let me know of any
  issues.

* Regular expression crashes and weird behavior problems on MacOS (and
  possibly other BSDs).  This was most noticeable with the recent Xcode
  9.3 release, but the issue has existed for a while.

* GSSAPI authentication issues, which may have affected Exchange users.
  We've changed behavior to match the RFC.  If you are negatively
  impacted by this, please let me know.

[1] http://lists.mutt.org/pipermail/mutt-announce/Week-of-Mon-20180409/000000.html
Comment 1 Derek Schrock 2018-04-14 23:02:53 UTC
Created attachment 192520 [details]
testport for mail/mutt 1.9.5 patch
Comment 2 commit-hook freebsd_committer 2018-04-17 06:47:55 UTC
A commit references this bug:

Author: joneum
Date: Tue Apr 17 06:47:33 UTC 2018
New revision: 467561
URL: https://svnweb.freebsd.org/changeset/ports/467561

Log:
  mail/mutt: Update to 1.9.5

  Changelog:

  * GPGME S/MIME non-detached signature handling.

  * A compilation issue with ncurses-6.1 when tinfow is split out.
    Hopefully the fix doesn't impact anyone: please let me know of any
    issues.

  * Regular expression crashes and weird behavior problems on MacOS (and
    possibly other BSDs).  This was most noticeable with the recent Xcode
    9.3 release, but the issue has existed for a while.

  * GSSAPI authentication issues, which may have affected Exchange users.
    We've changed behavior to match the RFC.  If you are negatively
    impacted by this, please let me know.

  PR:		227519
  Submitted by:	dereks@lifeofadishwasher.com (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
Comment 3 Jochen Neumeister freebsd_committer 2018-04-17 06:48:35 UTC
Landed, thanks :-)
Comment 4 Jochen Neumeister freebsd_committer 2018-04-17 08:05:10 UTC
When OPTIONS_FILE_SET+=NNTP, then:

===>  Patching for mutt-1.9.5
===>  Applying distribution patches for mutt-1.9.5
1 out of 2 hunks failed--saving rejects to Makefile.am.rej
1 out of 3 hunks failed--saving rejects to Makefile.in.rej
1 out of 12 hunks failed--saving rejects to doc/Muttrc.rej
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/mail/mutt
*** Error code 1

Stop.
Comment 5 Derek Schrock 2018-04-18 03:41:10 UTC
Created attachment 192609 [details]
Update mail/mutt for broken NNTP option and greeting version

vvv NNTP 1.9.1 doesn't apply cleanly to mutt 1.9.5.  It's possible you could patch the patch here however for the time being NNTP will be broken if set.  emailed the maintainer over the issue with 1.9.5.  Waiting for vvv NNTP to be updated.

Also, update greeting to match its update to 1.9.5.  This patch didn't change.
Comment 6 Derek Schrock 2018-04-19 22:26:31 UTC
Created attachment 192670 [details]
Use updated VVV 1.9.5 patches

Use VVV's new 1.9.5 versioned patches
Also align with VC's 1.9.5 patch as well even though it's the same as 1.9.4.
Comment 7 Derek Schrock 2018-04-19 22:27:13 UTC
Created attachment 192671 [details]
testport with new VVV update
Comment 8 Derek Schrock 2018-04-19 22:28:01 UTC
VVV now applies:

$ make clean patch
===>  Cleaning for mutt-1.9.5_1
===>  License GPLv2+ accepted by the user
===>   mutt-1.9.5_1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by mutt-1.9.5_1 for building
===>  Extracting for mutt-1.9.5_1
=> SHA256 Checksum OK for mutt/mutt-1.9.5.tar.gz.
=> SHA256 Checksum OK for mutt/patch-1.9.5.vvv.nntp.gz.
=> SHA256 Checksum OK for mutt/patch-1.9.5.vvv.initials.gz.
=> SHA256 Checksum OK for mutt/patch-1.9.5.vvv.quote.gz.
===>  Patching for mutt-1.9.5_1
===>  Applying distribution patches for mutt-1.9.5_1
===>  Applying extra patch /usr/local/poudriere/ports/testing/mail/mutt/files/extra-patch-doc-ref
===>  Applying extra patch /usr/local/poudriere/ports/testing/mail/mutt/files/extra-patch-ifdef
===>  Applying extra patch /usr/local/poudriere/ports/testing/mail/mutt/files/extra-patch-reverse_reply
===>  Applying extra patch /usr/local/poudriere/ports/testing/mail/mutt/files/extra-patch-smartdate
===>  Applying extra patch /usr/local/poudriere/ports/testing/mail/mutt/files/extra-patch-smime-outlook
===>  Applying FreeBSD patches for mutt-1.9.5_1
Comment 9 Jochen Neumeister freebsd_committer 2018-04-20 20:00:22 UTC
Hey :-)

+#VVV_PATCH_VERSION=	1.9.5
+#GREETING_PATCH_VERSION=	1.9.5

is this commented out with intent?
Comment 10 Derek Schrock 2018-04-20 21:28:44 UTC
Yes, if unset those patch versions will use ${PORT_VERSION}
Comment 11 commit-hook freebsd_committer 2018-04-20 21:50:50 UTC
A commit references this bug:

Author: joneum
Date: Fri Apr 20 21:50:42 UTC 2018
New revision: 467848
URL: https://svnweb.freebsd.org/changeset/ports/467848

Log:
  This is a fix for  OPTIONS_FILE_SET+=NNTP

  ===>  Patching for mutt-1.9.5
  ===>  Applying distribution patches for mutt-1.9.5
  1 out of 2 hunks failed--saving rejects to Makefile.am.rej
  1 out of 3 hunks failed--saving rejects to Makefile.in.rej
  1 out of 12 hunks failed--saving rejects to doc/Muttrc.rej
  *** Error code 1

  PR:		227519
  Submitted by:	dereks@lifeofadishwasher.com (maintainer)

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo